Bug 188458 - Review Request: libassetml - xml resource database library
Review Request: libassetml - xml resource database library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-10 05:10 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-15 10:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The specfile. (1.90 KB, text/plain)
2006-04-10 05:12 EDT, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2006-04-10 05:10:06 EDT
Spec Name or Url:
Sorry no URL I'm currently behind a PC which doesn't have upload access to my homepage :| I'll attach the specfile instead.

SRPM Name or Url:
Same here, just download the tar bal from the sf.net homepage, thats all you need besides the spec.

Description:
AssetML defines an xml file that can be used by application developers as a
resource database. The idea is to have a way to search content on your hard
drive with metadata (like name, category, file type, description) instead of
just a file name. This way, users can browse content more easily and developers
can share content more easily.

---

This is one of the dependencies of gcompris (http://gcompris.net/), which in turn is a big collection of educational games I would really like to package.
Comment 1 Hans de Goede 2006-04-10 05:12:03 EDT
Created attachment 127540 [details]
The specfile.
Comment 2 Wart 2006-04-11 12:15:48 EDT
It looks like there's an extra 'f' in the Source0: url:  'offset' -> 'ofset'.

Also, the following line generates an error during the build.  It seems that the
info 'dir' file is not created during 'make install':
rm $RPM_BUILD_ROOT/%{_infodir}/dir
Comment 3 Hans de Goede 2006-04-11 16:34:32 EDT
Thanks for catching the double ff. The other one is strange I added the rm
because on my system the build did create a dir file, anyways I've changed the
rm to an "rm -f" so it will work in either case.

New version, SRPM this time at:
http://home.zonnet.nl/jwrdegoede/libassetml-1.2.1-1.src.rpm
Comment 4 Wart 2006-04-11 18:20:54 EDT
Thanks for the SRPM.  It builds fine now, but with a few 'differ in signedness'
warnings on FC-4.  I'll post a full review later tonight.

I notice there is some inconsistency in the version numbers for this package. 
The package itself is version 1.2.1; The .so is named libassetml.so.0.0.0; The
-devel include directory is libassetml-1.0.  This may prove problematic when
future versions of libassetml are released with incompatible APIs.
Comment 5 Wart 2006-04-13 01:08:50 EDT
rpmlint output:
E: libassetml-debuginfo script-without-shellbang
/usr/src/debug/libassetml-1.2.1/src/tools/assetml-query.c

MUST
====
* Package and spec named appropriately
* GPL license ok.  License file included in base package
* Spec file legible and in Am. English
* Source matches upstream
  4b10fd0fb8e00a4fb526665413479516  libassetml-1.2.1.tar.gz
* Compiles and builds on FC-4 i386, FC-4 x86_64
* No excessive or disallowed BR:
* Locales handled correctly
* ldconfig called in %post/%postun correctly
* Not relocatable
* No duplicate %files
* build root cleaned in %clean and at start of %install
* headers, pkgconfig files, and unsuffixed shlib in -devel
* -devel requires base
* No .la archives
* No .desktop file necessary
* Contains code, not content

SHOULDFIX
=========
* This isn't a blocker, but you can get rid of the rpmlint warning by
  removing the execute permission bit on the offending source file in %prep.

* -devel owns %datadir/gnome.  However, it seems that almost 20 other packages
  also claim to own this directory, so this isn't a blocker.  Perhaps you
  can restrict the ownership to %datadir/gnome/help/%name?

Since there are no blockers, consider this APPROVED
Comment 6 Hans de Goede 2006-04-13 14:24:11 EDT
(In reply to comment #5)
> SHOULDFIX
> =========
> * This isn't a blocker, but you can get rid of the rpmlint warning by
>   removing the execute permission bit on the offending source file in %prep.
> 

Thanks for the tip I'll fix that before importing, and thanks for the review!

> * -devel owns %datadir/gnome.  However, it seems that almost 20 other packages
>   also claim to own this directory, so this isn't a blocker.  Perhaps you
>   can restrict the ownership to %datadir/gnome/help/%name?
> 

Erm, since there is no logical package to depend on for this dir your suggestion
could lead to unowned dirs which is worse then having dirs owned by many.
Comment 7 Hans de Goede 2006-04-15 10:10:42 EDT
Imported and build.

Note You need to log in before you can comment on or make changes to this bug.